package domain


type AlibabaWdkTradeRefundSuccessCreateApiResult struct {
    /*
        接口状态     */
    State  *bool `json:"state,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功 true-成功;false-失败     */
    Result  *bool `json:"result,omitempty" `

}

func (s *AlibabaWdkTradeRefundSuccessCreateApiResult) SetState(v bool) *AlibabaWdkTradeRefundSuccessCreateApiResult {
    s.State = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateApiResult) SetErrCode(v string) *AlibabaWdkTradeRefundSuccessCreateApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateApiResult) SetErrMsg(v string) *AlibabaWdkTradeRefundSuccessCreateApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkTradeRefundSuccessCreateApiResult) SetResult(v bool) *AlibabaWdkTradeRefundSuccessCreateApiResult {
    s.Result = &v
    return s
}
